- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxSemaphore Class Reference

Search for all occurrences

## Detailed Description

Mutually excluding thread waiting mechanism with a counter.

Semaphore are generally used in situations when the current thread needs to wait for other threads before proceeding to the next step. In other words, that thread waits a number of signals from other threads. This is the best mechanism to use to synchronize threads since it doesn't require an heavy critical section.

Definition at line 94 of file fbxsync.h.

`#include <fbxsync.h>`

List of all members.

## Public Member Functions
| FbxSemaphore ()
| Constructor.
virtual | ~FbxSemaphore ()
| Destructor.
bool | Wait (unsigned int pCount=1)
| Wait indefinitely until the semaphore as been signaled as many times as specified.
bool | Signal (unsigned int pCount=1)
| Signal the semaphore as many times as specified.

## Constructor & Destructor Documentation

FbxSemaphore | ( |  | ) |

Constructor.

virtual ~FbxSemaphore | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

bool Wait | ( | unsigned int | pCount = `1` | ) |

Search for all occurrences

Wait indefinitely until the semaphore as been signaled as many times as specified.

Parameters:

  pCount | Number of signal to wait before this function returns.

Returns:
  True if the wait exit without errors.

Remarks:
  If pCount is set to zero, this function returns immediately without waiting.

bool Signal | ( | unsigned int | pCount = `1` | ) |

Search for all occurrences

Signal the semaphore as many times as specified.

Parameters:

  pCount | The number of signal to send to the semaphore.

Returns:
  True if the semaphore was signaled without errors.

The documentation for this class was generated from the following file:

- fbxsdk/core/sync/fbxsync.h

FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore
FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore FbxSemaphore